package com.example.wholeestate.common.base;

import com.example.wholeestate.common.Constant;
import com.example.wholeestate.exception.WholeEstateException;
import com.example.wholeestate.model.SysUser;

import javax.servlet.http.HttpSession;

/**
 * 公共
 * @author weiximei
 */
public class BaseController {

    /**
     * 存储 session 用户
     * @param session
     * @param sysUser
     */
    protected void setSessionUser(HttpSession session, SysUser sysUser) {
        sysUser.setToken(session.getId());
        session.setAttribute(Constant.USER_SESSION, sysUser);
    }

    /**
     * 获取session用户
     * @param session
     * @return
     */
    protected SysUser getSessionUser(HttpSession session) {
        SysUser sysUser = (SysUser) session.getAttribute(Constant.USER_SESSION);
        if (null == sysUser) {
            throw new WholeEstateException("用户 session 不存在!");
        }

        return sysUser;
    }

    /**
     * 移除 session 用户
     * @param session
     */
    protected void removeSessionUser(HttpSession session) {
        session.removeAttribute(Constant.USER_SESSION);
    }

}
