package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.common.session.UserElement;
import com.example.wholeestate.model.SysUser;
import com.example.wholeestate.service.IBuildingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 楼盘表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
@RestController
@RequestMapping("/")
@Api(value = "楼盘API",description = "楼盘API")
public class BuildingController extends BaseController {
@Autowired
    private IBuildingService iBuildingService;

    @RequestMapping(value = "/buildingSelectId/{id}", method = RequestMethod.GET)
    @ApiOperation(value = "楼盘详情", notes = "楼盘详情")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataTypeClass=Integer.class, name = "id", value = "楼盘id"),
    })
    public ResponseBean buildingSelectId(@PathVariable(value = "id") Integer id, HttpSession session){
        ResponseBean  responseBean = iBuildingService.buildingSelectId(id);
        return responseBean;
    }
    @ApiOperation(value = "楼盘列表", notes = "楼盘列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageNum",value = "pageNum:分页第几页" ),
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageSize",value = "pageSize:每页长度")
    })

    @RequestMapping(value = "/buildinglist", method = RequestMethod.GET)
    public ResponseBean buildingList(@RequestParam("pageNum")Integer pageNum,@RequestParam("pageSize")Integer pageSize){
        ResponseBean  responseBean = iBuildingService.buildingList(pageNum,pageSize);
        return responseBean;
    }

    @ApiOperation(value = "楼盘修改", notes = "楼盘修改")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body",dataType = "String",name = "parameter",value = "buildingId:楼盘ID，buildingName:楼盘名称," +
                    "name:楼盘别名，price:价格，openingDate:开盘时间，coordinate:项目坐标，propertyType:物业类型，dynamic:最新动态，tel:电话")

    })

//    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "token")
    @RequestMapping(value = "/building/update", method = RequestMethod.POST)
    public ResponseBean buildingUpdate(@RequestBody String parameter, HttpSession session){
        SysUser sessionUser= getSessionUser(session);
        ResponseBean  responseBean = iBuildingService.buildingUpdate(parameter);
        return responseBean;
    }

    @ApiOperation(value = "楼盘预约", notes = "楼盘预约")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageNum",value = "分页第几页" ),
            @ApiImplicitParam(paramType = "Query",dataType = "Integer",name = "pageSize",value = "pageSize:每页长度" )

    })
//    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "token")
    @RequestMapping(value = "/appointmentlsit", method = RequestMethod.GET)
    public ResponseBean appointmentList(@RequestParam("pageNum")Integer pageNum,@RequestParam("pageSize")Integer pageSize, HttpSession session){
//        SysUser sessionUser= getSessionUser(session);
        ResponseBean  responseBean = iBuildingService.appointmentList(pageNum,pageSize);
        return responseBean;
    }

    @ApiOperation(value = "楼盘添加", notes = "楼盘添加")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body",dataType = "String",name = "parameter",value = "buildingName:楼盘名称," +
                    "name:楼盘别名，price:价格，openingDate:开盘时间，coordinate:项目坐标，propertyType:物业类型，dynamic:最新动态，tel:电话")

    })

    @RequestMapping(value = "/building/add", method = RequestMethod.POST)
    public ResponseBean buildingAdd(@RequestBody String parameter, HttpSession session){
        ResponseBean  responseBean = iBuildingService.buildingAdd(parameter);
        return responseBean;
    }

}
